# Uses of Interface
org.springframework.expression.PropertyAccessor

Packages that use PropertyAccessor
Package
Description
org.springframework.expression
Core abstractions behind the Spring Expression Language.
org.springframework.expression.spel
SpEL's central implementation package.
org.springframework.expression.spel.support
SpEL's default implementations for various core abstractions.

## Uses of PropertyAccessor in org.springframework.expression

Methods in org.springframework.expression that return types with arguments of type PropertyAccessor
Modifier and Type
Method
Description
`default List<PropertyAccessor>`
EvaluationContext.`getPropertyAccessors()`
Return a list of accessors that will be asked in turn to read/write a property.

## Uses of PropertyAccessor in org.springframework.expression.spel

Subinterfaces of PropertyAccessor in org.springframework.expression.spel
Modifier and Type
Interface
Description
`interface`
`CompilablePropertyAccessor`
A compilable `PropertyAccessor` is able to generate bytecode that represents the access operation, facilitating compilation to bytecode of expressions that use the accessor.
Methods in org.springframework.expression.spel that return types with arguments of type PropertyAccessor
Modifier and Type
Method
Description
`List<PropertyAccessor>`
ExpressionState.`getPropertyAccessors()`

## Uses of PropertyAccessor in org.springframework.expression.spel.support

Classes in org.springframework.expression.spel.support that implement PropertyAccessor
Modifier and Type
Class
Description
`final class`
`DataBindingPropertyAccessor`
An `PropertyAccessor` variant for data binding purposes, using reflection to access properties for reading and possibly writing.
`class`
`ReflectivePropertyAccessor`
A powerful `PropertyAccessor` that uses reflection to access properties for reading and possibly also for writing on a target instance.
Methods in org.springframework.expression.spel.support that return PropertyAccessor
Modifier and Type
Method
Description
`PropertyAccessor`
ReflectivePropertyAccessor.`createOptimalAccessor(EvaluationContext context, Object target, String name)`
Attempt to create an optimized property accessor tailored for a property of a particular name on a particular class.
Methods in org.springframework.expression.spel.support that return types with arguments of type PropertyAccessor
Modifier and Type
Method
Description
`List<PropertyAccessor>`
SimpleEvaluationContext.`getPropertyAccessors()`
Return the specified `PropertyAccessor` delegates, if any.
`List<PropertyAccessor>`
StandardEvaluationContext.`getPropertyAccessors()`
Get the list of property accessors configured in this evaluation context.
Methods in org.springframework.expression.spel.support with parameters of type PropertyAccessor
Modifier and Type
Method
Description
`void`
StandardEvaluationContext.`addPropertyAccessor(PropertyAccessor propertyAccessor)`
Add the supplied property accessor to this evaluation context.
`static SimpleEvaluationContext.Builder`
SimpleEvaluationContext.`forPropertyAccessors(PropertyAccessor... accessors)`
Create a `SimpleEvaluationContext` for the specified `PropertyAccessor` delegates: typically a custom `PropertyAccessor` specific to a use case — for example, for attribute resolution in a custom data structure — potentially combined with a `DataBindingPropertyAccessor` if property dereferences are needed as well.
`boolean`
StandardEvaluationContext.`removePropertyAccessor(PropertyAccessor propertyAccessor)`
Remove the supplied property accessor from this evaluation context.
Method parameters in org.springframework.expression.spel.support with type arguments of type PropertyAccessor
Modifier and Type
Method
Description
`void`
StandardEvaluationContext.`setPropertyAccessors(List<PropertyAccessor> propertyAccessors)`
Set the list of property accessors to use in this evaluation context.